/*
 * Docs Dispatcher API - API document(s) generation
 * Docs.io API enables you to generate files (currently DOCx, XLSx, PPTx, PDF, HTML, JPG/PNG/SVG) from a template and JSON data. You can just download resulting file, send email with generated attachments or compose services.
 *
 * The version of the OpenAPI document: 3.1.1
 * Contact: tech@docs-dispatcher.io
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package io.docs_dispatcher.client.api;

import io.docs_dispatcher.client.ApiException;
import io.docs_dispatcher.client.model.CompositeRequest;
import io.docs_dispatcher.client.model.Service;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for RequestValidationApi
 */
@Disabled
public class RequestValidationApiTest {

    private final RequestValidationApi api = new RequestValidationApi();

    /**
     * Validate (JSON) request for the given service
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void dispatchersValidateRequestTest() throws ApiException {
        Service dispatcherService = null;
        CompositeRequest compositeRequest = null;
        api.dispatchersValidateRequest(dispatcherService, compositeRequest);
        // TODO: test validations
    }

    /**
     * Validate (JSON) request for the given service composition
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void dispatchersValidateRequestWithOneComposableServiceTest() throws ApiException {
        Service dispatcherService = null;
        Service composableService1 = null;
        CompositeRequest compositeRequest = null;
        api.dispatchersValidateRequestWithOneComposableService(dispatcherService, composableService1, compositeRequest);
        // TODO: test validations
    }

    /**
     * Validate (JSON) request for the given service composition
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void dispatchersValidateRequestWithTwoComposableServicesTest() throws ApiException {
        Service dispatcherService = null;
        Service composableService1 = null;
        Service composableService2 = null;
        CompositeRequest compositeRequest = null;
        api.dispatchersValidateRequestWithTwoComposableServices(dispatcherService, composableService1, composableService2, compositeRequest);
        // TODO: test validations
    }

}
